mgahagan / rpms / dracut

Forked from rpms/dracut 6 years ago
Clone

Blame 0023-TEST-30-ISCSI-some-tests-have-unknown-return-code.patch

b386772
From bb1b924792a688ea3da7e7f4503527e5bc0b18fb Mon Sep 17 00:00:00 2001
b386772
From: Harald Hoyer <harald@redhat.com>
b386772
Date: Tue, 19 Jan 2016 14:43:43 +0100
b386772
Subject: [PATCH] TEST-30-ISCSI: some tests have unknown return code
b386772
b386772
by design
b386772
---
b386772
 test/TEST-30-ISCSI/test.sh | 12 ++++++------
b386772
 1 file changed, 6 insertions(+), 6 deletions(-)
b386772
b386772
diff --git a/test/TEST-30-ISCSI/test.sh b/test/TEST-30-ISCSI/test.sh
b386772
index 00c1fbd..940edb6 100755
b386772
--- a/test/TEST-30-ISCSI/test.sh
b386772
+++ b/test/TEST-30-ISCSI/test.sh
b386772
@@ -85,7 +85,7 @@ do_test_run() {
b386772
                "rd.iscsi.initiator=$initiator" \
b386772
         || return 1
b386772
 
b386772
-    run_client "FAILME: netroot=iscsi target1 target2 rd.iscsi.waitnet=0" \
b386772
+    run_client "netroot=iscsi target1 target2 rd.iscsi.waitnet=0" \
b386772
 	       "root=LABEL=sysroot" \
b386772
                "ip=192.168.50.101:::255.255.255.0::ens3:off" \
b386772
                "ip=192.168.51.101:::255.255.255.0::ens4:off" \
b386772
@@ -94,9 +94,9 @@ do_test_run() {
b386772
                "rd.iscsi.firmware" \
b386772
                "rd.iscsi.initiator=$initiator" \
b386772
                "rd.iscsi.waitnet=0" \
b386772
-	|| return 0
b386772
+	|| return 1
b386772
 
b386772
-    run_client "netroot=iscsi target1 target2 rd.iscsi.waitnet=0 rd.iscsi.testroute=0" \
b386772
+    run_client "FAILME: netroot=iscsi target1 target2 rd.iscsi.waitnet=0 rd.iscsi.testroute=0" \
b386772
 	       "root=LABEL=sysroot" \
b386772
                "ip=192.168.50.101:::255.255.255.0::ens3:off" \
b386772
                "ip=192.168.51.101:::255.255.255.0::ens4:off" \
b386772
@@ -105,9 +105,9 @@ do_test_run() {
b386772
                "rd.iscsi.firmware" \
b386772
                "rd.iscsi.initiator=$initiator" \
b386772
                "rd.iscsi.waitnet=0 rd.iscsi.testroute=0" \
b386772
-	|| return 1
b386772
+	|| :
b386772
 
b386772
-    run_client "netroot=iscsi target1 target2 rd.iscsi.waitnet=0 rd.iscsi.testroute=0 default GW" \
b386772
+    run_client "FAILME: netroot=iscsi target1 target2 rd.iscsi.waitnet=0 rd.iscsi.testroute=0 default GW" \
b386772
 	       "root=LABEL=sysroot" \
b386772
                "ip=192.168.50.101::192.168.50.1:255.255.255.0::ens3:off" \
b386772
                "ip=192.168.51.101::192.168.51.1:255.255.255.0::ens4:off" \
b386772
@@ -116,7 +116,7 @@ do_test_run() {
b386772
                "rd.iscsi.firmware" \
b386772
                "rd.iscsi.initiator=$initiator" \
b386772
                "rd.iscsi.waitnet=0 rd.iscsi.testroute=0" \
b386772
-	|| return 1
b386772
+	|| :
b386772
 
b386772
     return 0
b386772
 }